import React from "react";
import styled from "styled-components";
import ClickToCopy from "../util/ClickToCopy";
import Button from "../util/Button";

const Container = styled.div`
  flex: 1;
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
`

const Label = styled.span`
  padding: 0.2em;
`

const StartButton = styled(Button)`
  padding: 1em;
  margin: 0.2em;
  margin-top: 0.3em;
`

const getUrl = gameId => {
  const u = new URL(window.location.href);
  u.searchParams.append("join", gameId);
  return u.href;
}

const PreRound = ({ gameId, playerName, onStart }) => (
  <Container>
    <Label>Playing as {playerName}</Label>
    <Label>Game Code: <ClickToCopy text={gameId} /></Label>
    <Label>Or, send the following link:</Label>
    <Label><ClickToCopy text={getUrl(gameId)} /></Label>
    <StartButton onClick={onStart}>Start Game</StartButton>
  </Container>
);

export default PreRound;
